version: '3.8'

services:
  web:
    build:
      context: .
      dockerfile: ./nuxt/Dockerfile
    container_name: "prodio-web"
    ports:
      - "6061:3000"
    volumes:
      - ./nuxt/app:/app
    networks:
      - prodio-internal
  api:
    image: krisss/docker-webman:8.2-cli-alpine
    container_name: "prodio-api"
    ports:
      - "6060:8787"
    volumes:
      - ./app:/app
    networks:
      - prodio-internal
  mysql:
    build:
      context: .
      dockerfile: ./mysql/Dockerfile
    container_name: "prodio-mysql"
    #ports:
    #  - "3306:3306"
    networks:
      - prodio-internal
    volumes:
      - ./data/mysql:/var/lib/mysql
    environment:
      MYSQL_ROOT_PASSWORD: admin  
  # redis:
  #   image: redis
  #   container_name: "prodio-redis"
  #   networks:
  #     - internal
  phpmyadmin:
    image: phpmyadmin/phpmyadmin
    container_name: "prodio-myadmin"
    ports:
      - "6069:80"
    networks:
      - prodio-internal
    environment:
      PMA_HOST: mysql
      PMA_PORT: 3306
      UPLOAD_LIMIT: 100M
networks:
  prodio-internal:
    driver: bridge
